VFS_GETVFS(9)

NAME
vfs_getvfs - returns a mount point given its file system identifier

SYNOPSIS
#include <sys/param.h>
#include <sys/mount.h>
struct mount *
vfs_getvfs(fsid_t *fsid);

DESCRIPTION
The vfs_getvfs() function returns the mount point structure for a file system given its file system identifier. The file system ID should have been allocated by calling vfs_getnewfsid(9); otherwise, it will not be found.

A major user of vfs_getvfs() is NFS, which uses the fsid as part of file handles in order to determine the file system a given RPC is for. If vfs_getvfs() fails to find the mount point related to fsid, the file system is considered stale.

RETURN VALUES
If fsid is found, the mount point for the ID is returned; otherwise, NULL is returned.

PSEUDOCODE

    if ((mp = vfs_getvfs(&fhp->fh_fsid)) == NULL) {
    	error = ESTALE;
    	goto out;
    }

SEE ALSO
vfs_getnewfsid(9)

AUTHORS
This manual page was written by Chad David <davidc@acns.ab.ca>.